Bug 428293 - Firewire flip flop
Firewire flip flop
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Jay Fenlason
Martin Jenner
Depends On:
  Show dependency treegraph
Reported: 2008-01-10 10:58 EST by Andre ten Bohmer
Modified: 2014-08-31 19:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-14 13:14:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andre ten Bohmer 2008-01-10 10:58:20 EST
External firewire disk is sometimes not recognized/connected at reboot since
kernel update (from 2.6.9-55.0.9.ELsmp-prep to 2.6.9-67.0.1.ELsmp-prep).
ieee-1394 support needs to be added to stock kernel, so custom kernel build from
RH source.
Kernel.org kernel runs perfect (kernel.org and so on also had
no problems).

- HP Proliant DL-140-G2
- FireWire Texas Instruments TSB82AA2 IEEE-1394b Link Layer Controller (rev 01)

good boot (disk detect):
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
ieee1394: sbp2: Logged into SBP-2 device
ieee1394: Node 0-00:1023: Max speed [S800] - Max payload [4096]
  Vendor: LaCie     Model: Bigger Extreme    Rev: 912 
  Type:   Direct-Access                      ANSI SCSI revision: 06
SCSI device sdc: 3907092480 512-byte hdwr sectors (2000431 MB)
sdc: asking for cache data failed
sdc: assuming drive cache: write through
SCSI device sdc: 3907092480 512-byte hdwr sectors (2000431 MB)
sdc: asking for cache data failed
sdc: assuming drive cache: write through
 sdc: unknown partition table

Wrong boot (disk not correct detected):
ohci1394: $Rev: 1223 $ Ben Collins <bcollins@debian.org>
ACPI: PCI Interrupt 0000:05:01.0[A] -> GSI 16 (level, low) -> IRQ 169
ohci1394: fw-host0: OHCI-1394 1.1 (PCI): IRQ=[169]  MMIO=[dd404000-dd4047ff] 
Max Packet=[4096]
sbp2: $Rev: 1219 $ Ben Collins <bcollins@debian.org>
ieee1394: Host added: ID:BUS[0-00:1023]  GUID[00d0f50500000000]
ieee1394: Node added: ID:BUS[0-01:1023]  GUID[00d04b660706e6bd]
ieee1394: The root node is not cycle master capable; selecting a new root node
and resetting...
ieee1394: Node changed: 0-01:1023 -> 0-00:1023
ieee1394: Node changed: 0-00:1023 -> 0-01:1023
Comment 1 Stefan Richter 2008-01-12 16:07:39 EST
The IEEE 1394 drivers in Linux 2.6.9 are full of bugs.  Those ancient drivers
cannot be used to do anything serious with IEEE 1394.  It also would be a waste
of time to try to debug them and/or backport the drivers from newer kernels back
to Linux 2.6.9.
Comment 2 Andre ten Bohmer 2008-01-17 08:16:49 EST
Oke, clear, on RHEL4 boxes using kernel.org kernel instead, thanks
Comment 3 Jay Fenlason 2008-08-14 13:14:22 EDT
Closing as per comment #1

Note You need to log in before you can comment on or make changes to this bug.